bftsmart.tom.util

## Interface Extractor

    public interface Extractor

Provides support for building custom response extractors to be used in the ServiceProxy.

### Method Summary

All Methods Instance Methods Abstract Methods
`bftsmart.tom.core.messages.TOMMessage` `extractResponse(bftsmart.tom.core.messages.TOMMessage[] replies, int sameContent, int lastReceived)`

### Method Detail

#### extractResponse

    bftsmart.tom.core.messages.TOMMessage extractResponse(bftsmart.tom.core.messages.TOMMessage[] replies,
                                                          int sameContent,
                                                          int lastReceived)